> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put table view column meta

> Update view column meta



## OpenAPI

````yaml /swagger.json put /table/{tableId}/view/{viewId}/column-meta
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /table/{tableId}/view/{viewId}/column-meta:
    put:
      tags:
        - view
      description: Update view column meta
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: viewId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  fieldId:
                    type: string
                    description: Field ID
                  columnMeta:
                    anyOf:
                      - type: object
                        properties:
                          order:
                            type: number
                            description: >-
                              Order is a floating number, column will sort by it
                              in the view.
                          width:
                            type: number
                            description: Column width in the view.
                          hidden:
                            type: boolean
                            description: If column hidden in the view.
                          statisticFunc:
                            type: string
                            nullable: true
                            enum:
                              - count
                              - empty
                              - filled
                              - unique
                              - max
                              - min
                              - sum
                              - average
                              - checked
                              - unChecked
                              - percentEmpty
                              - percentFilled
                              - percentUnique
                              - percentChecked
                              - percentUnChecked
                              - earliestDate
                              - latestDate
                              - dateRangeOfDays
                              - dateRangeOfMonths
                              - totalAttachmentSize
                            description: Statistic function of the column in the view.
                        additionalProperties: false
                      - type: object
                        properties:
                          order:
                            type: number
                            description: >-
                              Order is a floating number, column will sort by it
                              in the view.
                          visible:
                            type: boolean
                            description: If column visible in the kanban view.
                        additionalProperties: false
                      - type: object
                        properties:
                          order:
                            type: number
                            description: >-
                              Order is a floating number, column will sort by it
                              in the view.
                          visible:
                            type: boolean
                            description: If column visible in the view.
                          required:
                            type: boolean
                            description: If column is required.
                        additionalProperties: false
                      - type: object
                        properties:
                          order:
                            type: number
                            description: >-
                              Order is a floating number, column will sort by it
                              in the view.
                          hidden:
                            type: boolean
                            description: If column hidden in the view.
                        additionalProperties: false
                required:
                  - fieldId
                  - columnMeta
      responses:
        '200':
          description: Successfully update.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PUT \
              --url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/column-meta \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '[{"fieldId":"string","columnMeta":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}]'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/column-meta';

            const options = {
              method: 'PUT',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '[{"fieldId":"string","columnMeta":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}]'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PUT',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/table/%7BtableId%7D/view/%7BviewId%7D/column-meta',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify([
              {
                fieldId: 'string',
                columnMeta: {order: 0, width: 0, hidden: true, statisticFunc: 'count'}
              }
            ]));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "[{\"fieldId\":\"string\",\"columnMeta\":{\"order\":0,\"width\":0,\"hidden\":true,\"statisticFunc\":\"count\"}}]"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PUT",
            "/api/table/%7BtableId%7D/view/%7BviewId%7D/column-meta", payload,
            headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````